org.apache.ignite.internal

## Class IgniteDiagnosticPrepareContext

- java.lang.Object
- - org.apache.ignite.internal.IgniteDiagnosticPrepareContext

    public class IgniteDiagnosticPrepareContext
    extends Object

Groups diagnostic closures by node/closure type.

### Constructor Summary

Constructors
Constructor and Description
`IgniteDiagnosticPrepareContext(UUID nodeId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `basicInfo(UUID nodeId, String msg)`
`boolean` `empty()`
`void` `exchangeInfo(UUID nodeId, AffinityTopologyVersion topVer, String msg)`
`void` `remoteTxInfo(UUID nodeId, GridCacheVersion dhtVer, GridCacheVersion nearVer, String msg)`
`void` `send(GridKernalContext ctx, IgniteInClosure<IgniteInternalFuture<String>> lsnr)`
`void` `txKeyInfo(UUID nodeId, int cacheId, Collection<KeyCacheObject> keys, String msg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteDiagnosticPrepareContext

    public IgniteDiagnosticPrepareContext(UUID nodeId)

Parameters:
  `nodeId` - Local node ID.

### Method Detail

#### exchangeInfo

    public void exchangeInfo(UUID nodeId,
                             AffinityTopologyVersion topVer,
                             String msg)

Parameters:
  `nodeId` - Remote node ID.
  `topVer` - Topology version.
  `msg` - Initial message.

#### txKeyInfo

    public void txKeyInfo(UUID nodeId,
                          int cacheId,
                          Collection<KeyCacheObject> keys,
                          String msg)

Parameters:
  `nodeId` - Remote node ID.
  `cacheId` - Cache ID.
  `keys` - Entry keys.
  `msg` - Initial message.

#### remoteTxInfo

    public void remoteTxInfo(UUID nodeId,
                             GridCacheVersion dhtVer,
                             GridCacheVersion nearVer,
                             String msg)

Parameters:
  `nodeId` - Remote node ID.
  `dhtVer` - Tx dht version.
  `nearVer` - Tx near version.
  `msg` - Initial message.

#### basicInfo

    public void basicInfo(UUID nodeId,
                          String msg)

Parameters:
  `nodeId` - Remote node ID.
  `msg` - Initial message.

#### empty

    public boolean empty()

Returns:
  `True` if there are no added closures.

#### send

    public void send(GridKernalContext ctx,
                     @Nullable
                     IgniteInClosure<IgniteInternalFuture<String>> lsnr)

Parameters:
  `ctx` - Grid context.
  `lsnr` - Optional listener (used in test).

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019